Package org.apache.ignite.configuration

## Class ClientTransactionConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.ClientTransactionConfiguration

- All Implemented Interfaces:
    `Serializable`

      public class ClientTransactionConfiguration
      extends Object
      implements Serializable

  Thin client transactions configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DFLT_TRANSACTION_TIMEOUT` | Default transaction timeout.
    `static TransactionConcurrency` | `DFLT_TX_CONCURRENCY` | Default concurrency mode.
    `static TransactionIsolation` | `DFLT_TX_ISOLATION` | Default transaction isolation level.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientTransactionConfiguration()` | Empty constructor.
    `ClientTransactionConfiguration​(ClientTransactionConfiguration cfg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TransactionConcurrency` | `getDefaultTxConcurrency()` | Default transaction concurrency to use when one is not explicitly specified.
    `TransactionIsolation` | `getDefaultTxIsolation()` | Default transaction isolation to use when one is not explicitly specified.
    `long` | `getDefaultTxTimeout()` | Gets default transaction timeout.
    `ClientTransactionConfiguration` | `setDefaultTxConcurrency​(TransactionConcurrency dfltConcurrency)` | Sets default transaction concurrency.
    `ClientTransactionConfiguration` | `setDefaultTxIsolation​(TransactionIsolation dfltIsolation)` | Sets default transaction isolation.
    `ClientTransactionConfiguration` | `setDefaultTxTimeout​(long dfltTxTimeout)` | Sets default transaction timeout in milliseconds.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_TX_CONCURRENCY

          public static final TransactionConcurrency DFLT_TX_CONCURRENCY

      Default concurrency mode.

    - #### DFLT_TX_ISOLATION

          public static final TransactionIsolation DFLT_TX_ISOLATION

      Default transaction isolation level.

    - #### DFLT_TRANSACTION_TIMEOUT

          public static final long DFLT_TRANSACTION_TIMEOUT

      Default transaction timeout.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientTransactionConfiguration

          public ClientTransactionConfiguration()

      Empty constructor.

    - #### ClientTransactionConfiguration

          public ClientTransactionConfiguration​(ClientTransactionConfiguration cfg)

      Parameters:
        `cfg` - Configuration to copy.

  - ### Method Detail

    - #### getDefaultTxConcurrency

          public TransactionConcurrency getDefaultTxConcurrency()

      Default transaction concurrency to use when one is not explicitly specified. Default value is defined by `DFLT_TX_CONCURRENCY`.
      Returns:
        Default cache transaction concurrency.

    - #### setDefaultTxConcurrency

          public ClientTransactionConfiguration setDefaultTxConcurrency​(TransactionConcurrency dfltConcurrency)

      Sets default transaction concurrency.
      Parameters:
        `dfltConcurrency` - Default transaction concurrency.
      Returns:
        `this` for chaining.

    - #### getDefaultTxIsolation

          public TransactionIsolation getDefaultTxIsolation()

      Default transaction isolation to use when one is not explicitly specified. Default value is defined by `DFLT_TX_ISOLATION`.
      Returns:
        Default transaction isolation.
      See Also:
        `Transaction`

    - #### setDefaultTxIsolation

          public ClientTransactionConfiguration setDefaultTxIsolation​(TransactionIsolation dfltIsolation)

      Sets default transaction isolation.
      Parameters:
        `dfltIsolation` - Default transaction isolation.
      Returns:
        `this` for chaining.

    - #### getDefaultTxTimeout

          public long getDefaultTxTimeout()

      Gets default transaction timeout. Default value is defined by `DFLT_TRANSACTION_TIMEOUT` which is `0` and means that transactions will never time out.
      Returns:
        Default transaction timeout.

    - #### setDefaultTxTimeout

          public ClientTransactionConfiguration setDefaultTxTimeout​(long dfltTxTimeout)

      Sets default transaction timeout in milliseconds.
      Parameters:
        `dfltTxTimeout` - Default transaction timeout.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`